#### Linux From Scratch - Version r13.0-6

### Chapter 6. Cross Compiling Temporary Tools

- Prev

  Coreutils-9.10

- Next

  File-5.47

- Up
- Home

# 6.6. Diffutils-3.12

The Diffutils package contains programs that show the differences between files or directories.

Approximate build time: 0.1 SBU
Required disk space: 35 MB

## 6.6.1. Installation of Diffutils

Prepare Diffutils for compilation:

    ./configure --prefix=/usr   \
                --host=$LFS_TGT \
                gl_cv_func_strcasecmp_works=y \
                --build=$(./build-aux/config.guess)

The meaning of the configure options:

`gl_cv_func_strcasecmp_works=y`

  This option specify the result of a check for the `strcasecmp`. The check requires running a compiled C program, and this is impossible during cross-compilation because in general a cross-compiled program cannot run on the host distro. Normally for such a check the configure script would use a fall-back value for cross-compilation, but the fall-back value for this check is absent and the configure script would have no value to use and error out. The upstream has already fixed the issue, but to apply the fix we'd need to run autoconf that the host distro may lack. So we just specify the check result (`y` as we know the `strcasecmp` function in Glibc-2.43 works fine) instead, then configure will just use the specified value and skip the check.

Compile the package:

    make

Install the package:

    make DESTDIR=$LFS install

Details on this package are located in Section 8.62.2, “Contents of Diffutils.”

- Prev

  Coreutils-9.10

- Next

  File-5.47

- Up
- Home